## postgresql-9.1 9.1.8

=== debian/changelog ===
postgresql-9.1 (9.1.8-1.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-postgresql-9.1-source-
    distribution=squeeze-14, bzr revision 360)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 05 Feb 2013 14:44:12 +0100

postgresql-9.1 (9.1.8-1) unstable; urgency=medium

  [ Martin Pitt ]
  * Add autopkgtest, moved from postgresql-common.
  * debian/rules: Only build the error codes and the plpython subtree for the
    "python3" flavor, to cut down build time.
  * Add missing docbook build dependency. (Closes: #697618)

  [ Christoph Berg ]
  * New upstream version.
    + Prevent execution of enum_recv from SQL
      The function was misdeclared, allowing a simple SQL command to crash the
      server.  In principle an attacker might be able to use it to examine the
      contents of server memory.  Our thanks to Sumit Soni (via Secunia SVCRP)
      for reporting this issue. (CVE-2013-0255)

 -- Christoph Berg <myon@debian.org>  Tue, 05 Feb 2013 14:15:33 +0100

postgresql-9.1 (9.1.7-1) unstable; urgency=low

  * New upstream bug fix release. See HISTORY/changelog.gz for details.
  * Add 03-python-includedirs.patch: Detect both python3.3 include locations.
    Thanks Dmitrijs Ledkovs!

 -- Martin Pitt <mpitt@debian.org>  Mon, 03 Dec 2012 22:32:35 +0000
