## postgresql-9.1 9.1.9

=== debian/changelog ===
postgresql-9.1 (9.1.9-1ubuntu1) raring; urgency=low

  * Merge with Debian unstable. (LP: #1163184) Remaining Ubuntu changes:
    - debian/rules: Configure for the Tcl/Tk 8.5 multiarch installation.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Apr 2013 16:01:02 +0200

postgresql-9.1 (9.1.9-1) unstable; urgency=high

  * Urgency high because of critical remote data destruction vulnerability.
  * New upstream security/bug fix release:
    - Fix insecure parsing of server command-line switches.
      A connection request containing a database name that begins with
      "-" could be crafted to damage or destroy files within the server's
      data directory, even if the request is eventually rejected.
      [CVE-2013-1899] (Closes: #704479)
    - Reset OpenSSL randomness state in each postmaster child process.
      This avoids a scenario wherein random numbers generated by
      "contrib/pgcrypto" functions might be relatively easy for another
      database user to guess. The risk is only significant when the
      postmaster is configured with ssl = on but most connections don't
      use SSL encryption. [CVE-2013-1900]
    - Make REPLICATION privilege checks test current user not
      authenticated user.
      An unprivileged database user could exploit this mistake to call
      pg_start_backup() or pg_stop_backup(), thus possibly interfering
      with creation of routine backups. [CVE-2013-1901]
    - Fix GiST indexes to not use "fuzzy" geometric comparisons when it's
      not appropriate to do so.
      The core geometric types perform comparisons using "fuzzy"
      equality, but gist_box_same must do exact comparisons, else GiST
      indexes using it might become inconsistent. After installing this
      update, users should "REINDEX" any GiST indexes on box, polygon,
      circle, or point columns, since all of these use gist_box_same.
    - Fix erroneous range-union and penalty logic in GiST indexes that
      use "contrib/btree_gist" for variable-width data types, that is
      text, bytea, bit, and numeric columns.
      These errors could result in inconsistent indexes in which some
      keys that are present would not be found by searches, and also in
      useless index bloat. Users are advised to "REINDEX" such indexes
      after installing this update.
    - Fix bugs in GiST page splitting code for multi-column indexes.
      These errors could result in inconsistent indexes in which some
      keys that are present would not be found by searches, and also in
      indexes that are unnecessarily inefficient to search. Users are
      advised to "REINDEX" multi-column GiST indexes after installing
      this update.
    - See HISTORY/changelog.gz for details about the other bug fixes.
  * Bump Standards-Version to 3.9.4 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Apr 2013 10:26:14 +0200

postgresql-9.1 (9.1.8-1ubuntu1) raring; urgency=low

  * Configure for the Tcl/Tk 8.5 multiarch installation.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2013 11:03:40 +0200
