=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 8~),
  dpkg-dev (>= 1.16.1~) | hardening-wrapper,
  perl (>= 5.8),
@@ -36,7 +36,7 @@
 
 Package: libpq-dev
 Architecture: any
-Section: 9.1/libdevel
+Section: libdevel
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  libpq5 (= ${binary:Version}),
@@ -55,7 +55,7 @@
 
 Package: libpq5
 Architecture: any
-Section: 9.1/libs
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL C client library
  libpq is a C library that enables user programs to communicate with
@@ -70,7 +70,7 @@
 
 Package: libecpg6
 Architecture: any
-Section: 9.1/libs
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: run-time library for ECPG programs
  The libecpg shared library is used by programs built with ECPG
@@ -80,7 +80,7 @@
 
 Package: libecpg-dev
 Architecture: any
-Section: 9.1/libdevel
+Section: libdevel
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  libpq-dev,
@@ -100,7 +100,7 @@
 
 Package: libecpg-compat3
 Architecture: any
-Section: 9.1/libs
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: older version of run-time library for ECPG programs
  The libecpg_compat shared library is used by programs built with ecpg.
@@ -110,7 +110,7 @@
 
 Package: libpgtypes3
 Architecture: any
-Section: 9.1/libs
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: shared library libpgtypes for PostgreSQL 9.1
  The libpgtypes shared library is used by programs built with ecpg.
