## postgresql-9.1 9.1.10

=== debian/changelog ===
postgresql-9.1 (9.1.10-1.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-postgresql-9.1-source-
    distribution=squeeze-28, bzr revision 388)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 09 Oct 2013 10:43:25 +0200

postgresql-9.1 (9.1.10-1) unstable; urgency=low

  * New upstream bug fix release. See changelog.gz for details.
  * Drop 00git-perl5.18.patch, applied upstream.
  * Add 04-config-update.patch: Refresh config.{guess,sub} to latest version
    for enabling ports, in particular arm64 and the upcoming ppc64el.

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Oct 2013 10:00:31 +0200

postgresql-9.1 (9.1.9-5) unstable; urgency=low

  [ Christoph Berg ]
  * Pull 82b0102650cf85268145a46f0ab488bacf6599a1 from upstream head to better
    support VPATH builds of PGXS modules, and make the install targets depend
    on installdirs.

  [ Martin Pitt ]
  * debian/rules: Still build the client-side libraries on Ubuntu.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Sep 2013 12:24:21 -0400

postgresql-9.1 (9.1.9-4) unstable; urgency=low

  * debian/rules: Ignore test suite failures on hurd (unimplemented
    semaphores) and kfreebsd-* (PL tests known to fail).

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Aug 2013 10:28:01 +0200

postgresql-9.1 (9.1.9-3) unstable; urgency=low

  [ Martin Pitt ]
  * debian/rules: Support multi-arch locations of {tcl,tk}-config.
  * debian/rules: Don't build with kerberos and LDAP support for
    DEB_STAGE=stage1 to aid with bootstrapping.
  * debian/tests/control: Add missing net-tools dependency (for ifconfig).
  * Add 00git-aarch64.patch: Add ARM64 (aarch64) support to s_lock.h.
    Backported from upstream git.
  * debian/rules: Call dh with --parallel.
  * Add 00git-perl5.18.patch: Adjust PL/Perl test cases to also work for Perl
    5.18. Backported from upstream 9.1 stable branch.
  * debian/rules: Don't build client-side libraries unless we have a pgdg
    version, as these are built by -9.3 now.

  [ Christoph Berg ]
  * Pull 6697aa2bc25c83b88d6165340348a31328c35de6 from upstream head to
    better support VPATH builds of PGXS modules.
  * debian/rules, 60-pg_regress_socketdir: Remove the temporary patches from
    pg_regress, and teach pg_regress to support unix socket dirs in --host.
    Use a random port number as well.
  * debian/rules: Use "make check-world" to run the regression tests. Thanks
    to Peter Eisentraut for the suggestion.
  * 61-extra_regress_opts: Add EXTRA_REGRESS_OPTS in Makefile.global(.in) and
    in src/interfaces/ecpg/test/Makefile.

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Aug 2013 18:08:50 +0200

postgresql-9.1 (9.1.9-2) unstable; urgency=low

  * debian/copyright: Fix syntax errors.
  * debian/rules: Build with -fno-aggressive-loop-optimizations with gcc 4.8
    to avoid generating bad code due to the broken usage of variable-length
    arrays. This is fixed properly in 9.2, but the patch does not backport
    well. (Closes: #701340)

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Jun 2013 08:12:14 +0200
