=== debian/rules ===
--- 
+++ 
@@ -69,8 +69,8 @@
            --with-libxml \
            --with-libxslt \
            --with-ldap \
-           --with-tclconfig=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(TCL_VER) \
-           --with-tkconfig=/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(TCL_VER) \
+           --with-tclconfig=/usr/lib/tcl$(TCL_VER) \
+           --with-tkconfig=/usr/lib/tk$(TCL_VER) \
            --with-includes=/usr/include/tcl$(TCL_VER) \
            PYTHON=/usr/bin/python \
            $(COMMON_CONFIGURE_FLAGS)
