=== debian/tests/control ===
Tests: run-testsuite
Depends: @, hunspell-en-us, locales, netcat-openbsd
Restrictions: needs-root
